Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
xulrunner 1.8 => 1.9 [RISOLTO]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Peach
Advocate
Advocate


Joined: 08 Mar 2003
Posts: 3686
Location: London, UK

PostPosted: Sat Jan 17, 2009 11:30 pm    Post subject: xulrunner 1.8 => 1.9 [RISOLTO] Reply with quote

ora mi trovo con le due versioni 1.8 e 1.9 slottate installate, qualcuno ha idea se posso rimuovere tranquillamente la 1.8 senza che ci siano dipendenze fisse sulla 1.8? qualcuno ha qualche esperienza in merito?
_________________
Gentoo user since 2004.
"It's all fun and games, until someone loses an eye" - mom


Last edited by Peach on Mon Jan 19, 2009 10:24 am; edited 1 time in total
Back to top
View user's profile Send private message
riverdragon
Veteran
Veteran


Joined: 14 Sep 2006
Posts: 1269
Location: Verona

PostPosted: Sun Jan 18, 2009 11:53 am    Post subject: Reply with quote

Innanzitutto non dovresti avere xulrunner nel file world, dovrebbe essere una dipendenza, per cui dovrebbe venire rimosso da un emerge --depclean nel momento in cui non serve più;
Per vedere se hai pacchetti installati che lo richiedono basta un equery depends =net-libs/xulrunner-1.8.1.19 e lo scopri. Io sono riuscito a rimuoverlo senza problemi aggiornando qualche pacchetto alla versione testing.
Back to top
View user's profile Send private message
lucapost
Veteran
Veteran


Joined: 24 Nov 2005
Posts: 1415
Location: <ud|me|ts> - Italy

PostPosted: Sun Jan 18, 2009 12:58 pm    Post subject: Reply with quote

Io ti consiglio di utilizzare i q tools!

tranquillo, è ormai normale che non vadano d'accordo con equery:
Code:
#> qdepends -Q xulrunner
www-client/mozilla-firefox-3.0.5
net-www/mplayerplug-in-3.55

#> equery depends xulrunner
[ Searching for packages depending on xulrunner... ]
app-text/acroread-8.1.3 (x86 & !minimal? net-libs/xulrunner)
net-www/mplayerplug-in-3.55 (xulrunner? net-libs/xulrunner)
www-client/mozilla-firefox-3.0.5 (xulrunner? >=net-libs/xulrunner-1.9.0.5)

_________________
LP
Back to top
View user's profile Send private message
Peach
Advocate
Advocate


Joined: 08 Mar 2003
Posts: 3686
Location: London, UK

PostPosted: Mon Jan 19, 2009 10:27 am    Post subject: Reply with quote

ottimo, avevo fatto l'errore di metterlo in world a seguito di un errore di compilazione dello stesso riemergendolo a mano.
Ora ho risolto aggiornando liferea alla 1.4.20, dando un quickpkg di xulrunner-1.9, rimuovendo entrambe le versioni e riemergendo il binario fatto precedentemente... non proprio lineare come operazione... ma tant'è..
in ogni caso l'unica dipendenza reale che ho è liferea, penso che equery visualizzi i pacchetti indipendentemente dalle use flag.
_________________
Gentoo user since 2004.
"It's all fun and games, until someone loses an eye" - mom
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum